#!/bin/sh
# ----------------------------------------------------------------------------
# /var/install/config.d/apk-repositories.sh
#
# Creation:     2013-05-03 starwarsfan
# Last Update:  
#
# Copyright (c) 2013 The alpeis-team <team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

package_name=apk-repositories

#exec 2>/tmp/${package_name}-trace$$.log
#set -x

. /etc/config.d/$package_name

# ----------------------------------------------------------------------------
# Create apk repo configuration /etc/apk/repositories
# ----------------------------------------------------------------------------
createRepositoryConfiguration ()
{
    cat > /etc/apk/repositories <<EOF
# ----------------------------------------------------------------------------
#
# Config file generated by alpeis setup for alpine
#
# Do not edit this file, edit /etc/config.d/apk-repositories
#
# ----------------------------------------------------------------------------

EOF
    # Begin idx -le ${APK_REPOSITORY_N}
    idx=1
    while [ "${idx}" -le "${APK_REPOSITORY_N}" ] ; do

        eval active='${APK_REPOSITORY_'${idx}'_ACTIVE}'
        if [ "${active}" = 'yes' ] ; then
            commentCharacter=''
        else
            commentCharacter='#'
        fi
        eval host='${APK_REPOSITORY_'${idx}'_URL}'

        echo ${commentCharacter}${host} >> /etc/apk/repositories

        # End idx -le ${APK_REPOSITORY_N}
        idx=`/usr/bin/expr ${idx} + 1`
    done

    echo "Apk repository configuration written."
    echo
}

# ----------------------------------------------------------------------------
# Main
# ----------------------------------------------------------------------------
createRepositoryConfiguration

exit 0
